%define upstream_name    common-sense
%define upstream_version 3.75

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Save a tree AND a kitten, use common::sense!
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/common/%{upstream_name}-%{upstream_version}.tar.gz
# (cg) From me... not sure if correct, but I cannot see any differences between i586/x86_64 builds...
# If it's incorrect, the package has to no longer be 
Patch1:     common-sense-3.72-further-mageia-fix-for-install-dir.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

Provides:   perl(common::sense)

%description
This module implements some sane defaults for Perl programs, as defined by
two typical (or not so typical - use your common sense) specimens of Perl
coders.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p0

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Jun 24 2020 tv <tv> 3.750.0-2.mga8
+ Revision: 1599118
- rebuild for perl-5.32 (needed for perl-IO-AIO)

* Fri Apr 03 2020 tv <tv> 3.750.0-1.mga8
+ Revision: 1564118
- update to 3.75

* Wed Feb 12 2020 umeabot <umeabot> 3.740.0-5.mga8
+ Revision: 1493561
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 3.740.0-4.mga7
+ Revision: 1266574
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 3.740.0-3.mga6
+ Revision: 1024267
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 3.740.0-2.mga6
+ Revision: 968620
- Mageia 6 Mass Rebuild

* Tue Jul 14 2015 sander85 <sander85> 3.740.0-1.mga6
+ Revision: 854135
- update to 3.74

* Wed Oct 15 2014 umeabot <umeabot> 3.730.0-3.mga5
+ Revision: 739764
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.730.0-2.mga5
+ Revision: 687020
- Mageia 5 Mass Rebuild

* Fri Jun 27 2014 jquelin <jquelin> 3.730.0-1.mga5
+ Revision: 640230
- update to 3.73

* Sat Oct 19 2013 umeabot <umeabot> 3.720.0-3.mga4
+ Revision: 532255
- Mageia 4 Mass Rebuild

* Mon Aug 19 2013 colin <colin> 3.720.0-2.mga4
+ Revision: 467619
- Add upstream Makefile.PL fix for install patch
- Add further local path to fix install dirs (to make non-arch dependant)
- Tidy macros (do not use curly braces for 'action' macros)

* Fri Aug 16 2013 sander85 <sander85> 3.720.0-1.mga4
+ Revision: 466976
- update to 3.72

* Sun Jan 13 2013 umeabot <umeabot> 3.600.0-2.mga3
+ Revision: 375415
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 3.600.0-1.mga3
+ Revision: 267565
- update to 3.6

* Tue Jun 05 2012 jquelin <jquelin> 3.500.0-1.mga3
+ Revision: 255680
- update to 3.5

* Sat Jun 11 2011 spuhler <spuhler> 3.400.0-2.mga2
+ Revision: 104030
- increase rel for rebuild

* Thu Feb 17 2011 jquelin <jquelin> 3.400.0-1.mga1
+ Revision: 52909
- update to 3.4

* Tue Jan 18 2011 jquelin <jquelin> 3.300.0-1.mga1
+ Revision: 22189
- cleaning spec file
- imported package perl-common-sense

